Skip to main content
GET
mta-js

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

station
string

Optional NJ PATH station code, GTFS id, or name. Supported codes: NWK,HAR,JSQ,GRV,NEW,EXP,HOB.

Minimum string length: 1
route
string

Optional PATH route id, such as NWK-WTC or JSQ-33-HOB.

Minimum string length: 1
direction
enum<string>
Available options:
to-ny,
to-nj,
east,
west
limit
number
Required range: 1 <= x <= 100
includeRaw
boolean

Response

200 - application/json

Response for status 200

mode
string
required
Allowed value: "path"
route
object
required
stop
object
required
direction
enum<string>
required
Available options:
north,
south,
east,
west,
unknown,
uptown,
downtown
arrivalTime
string
required
minutes
number
required
realtime
boolean
required
source
string
required
destination
string
displayDirection
string
headsign
string
raw
any